Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network102.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
102.0.0.0
Broadcast address
103.255.255.255
First usable
102.0.0.1
Last usable
103.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
A (default /8)
As numbers
Hex 66000000 · Integer 1711276032 to 1744830463
Reverse DNS zones
102.in-addr.arpa
103.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01100110.00000000.00000000.00000000102.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network01100110.00000000.00000000.00000000102.0.0.0
Broadcast01100111.11111111.11111111.11111111103.255.255.255
Split into smaller subnets/14

102.0.0.0/7 makes 128 subnets of /14.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1102.0.0.0/14102.0.0.1 to 102.3.255.254102.3.255.255262,142
2102.4.0.0/14102.4.0.1 to 102.7.255.254102.7.255.255262,142
3102.8.0.0/14102.8.0.1 to 102.11.255.254102.11.255.255262,142
4102.12.0.0/14102.12.0.1 to 102.15.255.254102.15.255.255262,142
5102.16.0.0/14102.16.0.1 to 102.19.255.254102.19.255.255262,142
6102.20.0.0/14102.20.0.1 to 102.23.255.254102.23.255.255262,142
7102.24.0.0/14102.24.0.1 to 102.27.255.254102.27.255.255262,142
8102.28.0.0/14102.28.0.1 to 102.31.255.254102.31.255.255262,142
9102.32.0.0/14102.32.0.1 to 102.35.255.254102.35.255.255262,142
10102.36.0.0/14102.36.0.1 to 102.39.255.254102.39.255.255262,142
11102.40.0.0/14102.40.0.1 to 102.43.255.254102.43.255.255262,142
12102.44.0.0/14102.44.0.1 to 102.47.255.254102.47.255.255262,142
13102.48.0.0/14102.48.0.1 to 102.51.255.254102.51.255.255262,142
14102.52.0.0/14102.52.0.1 to 102.55.255.254102.55.255.255262,142
15102.56.0.0/14102.56.0.1 to 102.59.255.254102.59.255.255262,142
16102.60.0.0/14102.60.0.1 to 102.63.255.254102.63.255.255262,142
17102.64.0.0/14102.64.0.1 to 102.67.255.254102.67.255.255262,142
18102.68.0.0/14102.68.0.1 to 102.71.255.254102.71.255.255262,142
19102.72.0.0/14102.72.0.1 to 102.75.255.254102.75.255.255262,142
20102.76.0.0/14102.76.0.1 to 102.79.255.254102.79.255.255262,142
21102.80.0.0/14102.80.0.1 to 102.83.255.254102.83.255.255262,142
22102.84.0.0/14102.84.0.1 to 102.87.255.254102.87.255.255262,142
23102.88.0.0/14102.88.0.1 to 102.91.255.254102.91.255.255262,142
24102.92.0.0/14102.92.0.1 to 102.95.255.254102.95.255.255262,142
25102.96.0.0/14102.96.0.1 to 102.99.255.254102.99.255.255262,142
26102.100.0.0/14102.100.0.1 to 102.103.255.254102.103.255.255262,142
27102.104.0.0/14102.104.0.1 to 102.107.255.254102.107.255.255262,142
28102.108.0.0/14102.108.0.1 to 102.111.255.254102.111.255.255262,142
29102.112.0.0/14102.112.0.1 to 102.115.255.254102.115.255.255262,142
30102.116.0.0/14102.116.0.1 to 102.119.255.254102.119.255.255262,142
31102.120.0.0/14102.120.0.1 to 102.123.255.254102.123.255.255262,142
32102.124.0.0/14102.124.0.1 to 102.127.255.254102.127.255.255262,142
33102.128.0.0/14102.128.0.1 to 102.131.255.254102.131.255.255262,142
34102.132.0.0/14102.132.0.1 to 102.135.255.254102.135.255.255262,142
35102.136.0.0/14102.136.0.1 to 102.139.255.254102.139.255.255262,142
36102.140.0.0/14102.140.0.1 to 102.143.255.254102.143.255.255262,142
37102.144.0.0/14102.144.0.1 to 102.147.255.254102.147.255.255262,142
38102.148.0.0/14102.148.0.1 to 102.151.255.254102.151.255.255262,142
39102.152.0.0/14102.152.0.1 to 102.155.255.254102.155.255.255262,142
40102.156.0.0/14102.156.0.1 to 102.159.255.254102.159.255.255262,142
41102.160.0.0/14102.160.0.1 to 102.163.255.254102.163.255.255262,142
42102.164.0.0/14102.164.0.1 to 102.167.255.254102.167.255.255262,142
43102.168.0.0/14102.168.0.1 to 102.171.255.254102.171.255.255262,142
44102.172.0.0/14102.172.0.1 to 102.175.255.254102.175.255.255262,142
45102.176.0.0/14102.176.0.1 to 102.179.255.254102.179.255.255262,142
46102.180.0.0/14102.180.0.1 to 102.183.255.254102.183.255.255262,142
47102.184.0.0/14102.184.0.1 to 102.187.255.254102.187.255.255262,142
48102.188.0.0/14102.188.0.1 to 102.191.255.254102.191.255.255262,142
49102.192.0.0/14102.192.0.1 to 102.195.255.254102.195.255.255262,142
50102.196.0.0/14102.196.0.1 to 102.199.255.254102.199.255.255262,142
51102.200.0.0/14102.200.0.1 to 102.203.255.254102.203.255.255262,142
52102.204.0.0/14102.204.0.1 to 102.207.255.254102.207.255.255262,142
53102.208.0.0/14102.208.0.1 to 102.211.255.254102.211.255.255262,142
54102.212.0.0/14102.212.0.1 to 102.215.255.254102.215.255.255262,142
55102.216.0.0/14102.216.0.1 to 102.219.255.254102.219.255.255262,142
56102.220.0.0/14102.220.0.1 to 102.223.255.254102.223.255.255262,142
57102.224.0.0/14102.224.0.1 to 102.227.255.254102.227.255.255262,142
58102.228.0.0/14102.228.0.1 to 102.231.255.254102.231.255.255262,142
59102.232.0.0/14102.232.0.1 to 102.235.255.254102.235.255.255262,142
60102.236.0.0/14102.236.0.1 to 102.239.255.254102.239.255.255262,142
61102.240.0.0/14102.240.0.1 to 102.243.255.254102.243.255.255262,142
62102.244.0.0/14102.244.0.1 to 102.247.255.254102.247.255.255262,142
63102.248.0.0/14102.248.0.1 to 102.251.255.254102.251.255.255262,142
64102.252.0.0/14102.252.0.1 to 102.255.255.254102.255.255.255262,142
65103.0.0.0/14103.0.0.1 to 103.3.255.254103.3.255.255262,142
66103.4.0.0/14103.4.0.1 to 103.7.255.254103.7.255.255262,142
67103.8.0.0/14103.8.0.1 to 103.11.255.254103.11.255.255262,142
68103.12.0.0/14103.12.0.1 to 103.15.255.254103.15.255.255262,142
69103.16.0.0/14103.16.0.1 to 103.19.255.254103.19.255.255262,142
70103.20.0.0/14103.20.0.1 to 103.23.255.254103.23.255.255262,142
71103.24.0.0/14103.24.0.1 to 103.27.255.254103.27.255.255262,142
72103.28.0.0/14103.28.0.1 to 103.31.255.254103.31.255.255262,142
73103.32.0.0/14103.32.0.1 to 103.35.255.254103.35.255.255262,142
74103.36.0.0/14103.36.0.1 to 103.39.255.254103.39.255.255262,142
75103.40.0.0/14103.40.0.1 to 103.43.255.254103.43.255.255262,142
76103.44.0.0/14103.44.0.1 to 103.47.255.254103.47.255.255262,142
77103.48.0.0/14103.48.0.1 to 103.51.255.254103.51.255.255262,142
78103.52.0.0/14103.52.0.1 to 103.55.255.254103.55.255.255262,142
79103.56.0.0/14103.56.0.1 to 103.59.255.254103.59.255.255262,142
80103.60.0.0/14103.60.0.1 to 103.63.255.254103.63.255.255262,142
81103.64.0.0/14103.64.0.1 to 103.67.255.254103.67.255.255262,142
82103.68.0.0/14103.68.0.1 to 103.71.255.254103.71.255.255262,142
83103.72.0.0/14103.72.0.1 to 103.75.255.254103.75.255.255262,142
84103.76.0.0/14103.76.0.1 to 103.79.255.254103.79.255.255262,142
85103.80.0.0/14103.80.0.1 to 103.83.255.254103.83.255.255262,142
86103.84.0.0/14103.84.0.1 to 103.87.255.254103.87.255.255262,142
87103.88.0.0/14103.88.0.1 to 103.91.255.254103.91.255.255262,142
88103.92.0.0/14103.92.0.1 to 103.95.255.254103.95.255.255262,142
89103.96.0.0/14103.96.0.1 to 103.99.255.254103.99.255.255262,142
90103.100.0.0/14103.100.0.1 to 103.103.255.254103.103.255.255262,142
91103.104.0.0/14103.104.0.1 to 103.107.255.254103.107.255.255262,142
92103.108.0.0/14103.108.0.1 to 103.111.255.254103.111.255.255262,142
93103.112.0.0/14103.112.0.1 to 103.115.255.254103.115.255.255262,142
94103.116.0.0/14103.116.0.1 to 103.119.255.254103.119.255.255262,142
95103.120.0.0/14103.120.0.1 to 103.123.255.254103.123.255.255262,142
96103.124.0.0/14103.124.0.1 to 103.127.255.254103.127.255.255262,142
97103.128.0.0/14103.128.0.1 to 103.131.255.254103.131.255.255262,142
98103.132.0.0/14103.132.0.1 to 103.135.255.254103.135.255.255262,142
99103.136.0.0/14103.136.0.1 to 103.139.255.254103.139.255.255262,142
100103.140.0.0/14103.140.0.1 to 103.143.255.254103.143.255.255262,142
101103.144.0.0/14103.144.0.1 to 103.147.255.254103.147.255.255262,142
102103.148.0.0/14103.148.0.1 to 103.151.255.254103.151.255.255262,142
103103.152.0.0/14103.152.0.1 to 103.155.255.254103.155.255.255262,142
104103.156.0.0/14103.156.0.1 to 103.159.255.254103.159.255.255262,142
105103.160.0.0/14103.160.0.1 to 103.163.255.254103.163.255.255262,142
106103.164.0.0/14103.164.0.1 to 103.167.255.254103.167.255.255262,142
107103.168.0.0/14103.168.0.1 to 103.171.255.254103.171.255.255262,142
108103.172.0.0/14103.172.0.1 to 103.175.255.254103.175.255.255262,142
109103.176.0.0/14103.176.0.1 to 103.179.255.254103.179.255.255262,142
110103.180.0.0/14103.180.0.1 to 103.183.255.254103.183.255.255262,142
111103.184.0.0/14103.184.0.1 to 103.187.255.254103.187.255.255262,142
112103.188.0.0/14103.188.0.1 to 103.191.255.254103.191.255.255262,142
113103.192.0.0/14103.192.0.1 to 103.195.255.254103.195.255.255262,142
114103.196.0.0/14103.196.0.1 to 103.199.255.254103.199.255.255262,142
115103.200.0.0/14103.200.0.1 to 103.203.255.254103.203.255.255262,142
116103.204.0.0/14103.204.0.1 to 103.207.255.254103.207.255.255262,142
117103.208.0.0/14103.208.0.1 to 103.211.255.254103.211.255.255262,142
118103.212.0.0/14103.212.0.1 to 103.215.255.254103.215.255.255262,142
119103.216.0.0/14103.216.0.1 to 103.219.255.254103.219.255.255262,142
120103.220.0.0/14103.220.0.1 to 103.223.255.254103.223.255.255262,142
121103.224.0.0/14103.224.0.1 to 103.227.255.254103.227.255.255262,142
122103.228.0.0/14103.228.0.1 to 103.231.255.254103.231.255.255262,142
123103.232.0.0/14103.232.0.1 to 103.235.255.254103.235.255.255262,142
124103.236.0.0/14103.236.0.1 to 103.239.255.254103.239.255.255262,142
125103.240.0.0/14103.240.0.1 to 103.243.255.254103.243.255.255262,142
126103.244.0.0/14103.244.0.1 to 103.247.255.254103.247.255.255262,142
127103.248.0.0/14103.248.0.1 to 103.251.255.254103.251.255.255262,142
128103.252.0.0/14103.252.0.1 to 103.255.255.254103.255.255.255262,142

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses